


setwd("C:/AAA/Programming/Goteborg/simulation_di_tets_multigene")
config.dir <- "C:/AAA/Programming/Goteborg/simulation_di_tets_multigene/2di1tet"
output.dir <- "C:/AAA/Programming/Goteborg/workspace/beast16/AlloppExamples"

               
               
# rarely changed options
gtreebasename <- "genetree"
seqsbasename <- "seq"
seqgenbasecmd <- "seqgen.exe -mHKY -t3.0 -f0.3,0.2,0.2,0.3"
outputname <- "simulation_multigene.XML"


source("AlloppSim_1readconfig.r")
source("AlloppSim_2makemultree.r")
source("AlloppSim_3makegtrees.r")
source("AlloppSim_4makeseqfiles.r")
source("AlloppSim_5beastxml_toplevel.r")
source("AlloppSim_6beastxml_bits.r")


filepaths <- list(
  gtree = paste(config.dir, "/", gtreebasename, sep=""),
  seq = paste(config.dir, "/", seqsbasename, sep=""))
  
config <- read.config(paste(config.dir, "/", "config.txt", sep=""))
stopifnot(config$gtrees$nof <= length(gtreeseeds))
stopifnot(config$gtrees$nof <= length(seqseeds))

multree <- make.multree(config$network)
print.multree(multree)

gtrees <- make.genetrees.as.Newick(multree, config$gtrees, gtreeseeds)


for (i in 1:config$gtrees$nof) {
  make.sequence.file(i, gtrees[i], seqseeds[i] + config$seqs$seed,
                      filepaths, seqgenbasecmd, config$seqs$len)
  }

sink(paste(output.dir, "/", outputname, sep=""))
make.beastxml(config, collect.taxa(multree), filepaths$seq)
sink(NULL)











